At the end of this month, the old XchangeIT newsagent EDI platform will be shutdown.  We are urging all newsagents to switch to the new XchangeIT Link platform urgently, in plenty of time prior to the shutdown.

The latest version of XchangeIT Link is 1.0.40. The version of Tower Systems software you will need to run this is Retailer 2.2.14B.  Go to the XchangeIT website for their information pack on getting the latest version of their software.

If you need help installing XchangeIT Link please call XchangeIT on 1300 551 212. If you need help on the Tower software specifically, please call 03 9524 8000.

0 likes